Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Clutter::Scriptable Class Reference

Inherits Glib::Interface.

Inherited by Clutter::Actor, and Clutter::BehaviourPath.

Collaboration diagram for Clutter::Scriptable:
[legend]

List of all members.

## Public Member Functions
virtual | ~Scriptable ()
ClutterScriptable* | gobj ()
| Provides access to the underlying C GObject.
const ClutterScriptable* | gobj () const
| Provides access to the underlying C GObject.
void | set_id (const std::string& id)
| Sets id as the unique Clutter script it for this instance of Clutter::ScriptableIface.
std::string | get_id () const
| Retrieves the id of scriptable set using set_id().
bool | parse_custom_node (const Glib::RefPtr< Script >& script, Glib::ValueBase&value, const Glib::ustring& name, JsonNode* node)
| Parses the passed JSON node.
void | set_custom_property (const Glib::RefPtr< Script >& script, const Glib::ustring& name, const Glib::ValueBase&value)
| Overrides the common properties setting.
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Protected Member Functions
virtual void | set_id_vfunc (const std::string& id)
virtual const char* | get_id_vfunc () const
virtual void | set_custom_property_vfunc (const Glib::RefPtr< Script >& script, const Glib::ustring& name, const Glib::ValueBase&value)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Clutter::Scriptable > | wrap (ClutterScriptable* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::Scriptable::~Scriptable | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Clutter::Scriptable::add_interface | ( | GType | gtype_implementer | ) | `[static]`

std::string Clutter::Scriptable::get_id | ( |  | ) | const

Retrieves the id of scriptable set using set_id().

Since cluttermm 0.6:

Returns:
  The id of the object. The returned string is owned by the scriptable object and should never be modified of freed.

virtual const char* Clutter::Scriptable::get_id_vfunc | ( |  | ) | const`[protected, virtual]`

ClutterScriptable* Clutter::Scriptable::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Clutter::Actor, Clutter::BehaviourPath, Clutter::Cairo::Texture, Clutter::Clone, Clutter::Rectangle, Clutter::Text, and Clutter::Texture.

const ClutterScriptable* Clutter::Scriptable::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Clutter::Actor, Clutter::BehaviourPath, Clutter::Cairo::Texture, Clutter::Clone, Clutter::Rectangle, Clutter::Text, and Clutter::Texture.

bool Clutter::Scriptable::parse_custom_node | ( | const Glib::RefPtr< Script >& | script,
|  | Glib::ValueBase & | value,
|  | const Glib::ustring & | name,
|  | JsonNode * | node |
| ) |  |  |

Parses the passed JSON node.

The implementation must set the type of the passed Value pointer using Glib::value_init().

Since cluttermm 0.6:

Parameters:

  | script | The Clutter::Script creating the scriptable instance.
  | value | The generic value to be set.
  | name | The name of the node.
  | node | The JSON node to be parsed.

Returns:
  `true` if the node was successfully parsed, `false` otherwise.

void Clutter::Scriptable::set_custom_property | ( | const Glib::RefPtr< Script >& | script,
|  | const Glib::ustring & | name,
|  | const Glib::ValueBase & | value |
| ) |  |  |

Overrides the common properties setting.

The underlying virtual function should be used when implementing custom properties.

Since cluttermm 0.6:

Parameters:

  | script | The Clutter::Script creating the scriptable instance.
  | name | The name of the property.
  | value | The value of the property.

virtual void Clutter::Scriptable::set_custom_property_vfunc | ( | const Glib::RefPtr< Script >& | script,
|  | const Glib::ustring & | name,
|  | const Glib::ValueBase & | value |
| ) |  |  | `[protected, virtual]`

void Clutter::Scriptable::set_id | ( | const std::string & | id | ) |

Sets id as the unique Clutter script it for this instance of Clutter::ScriptableIface.

This name can be used by user interface designer applications to define a unique name for an object constructable using the UI definition language parsed by Clutter::Script.

Since cluttermm 0.6:

Parameters:

  | id | The Clutter::Script id of the object.

virtual void Clutter::Scriptable::set_id_vfunc | ( | const std::string & | id | ) | `[protected, virtual]`

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::Scriptable > wrap | ( | ClutterScriptable * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/scriptable.h